/** @file MOMAccessEvent.cpp
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#include "config.h"

#if ENABLE(RMAI)

#include "MOMAccessEvent.h"

namespace WebCore {

MOMAccessEvent::MOMAccessEvent(const mom_event_params* params, ScriptExecutionContext* context)
    : MOMEvent(AtomicString("MOM_Access"), params)
{
    ASSERT(params->arg_count == mom_event_ACCESS_COUNT);
    m_object = params->object ? MOMContentItem::create(context, static_cast<mom_content_item>(params->object)) : nullptr;
}

MOMAccessEvent::MOMAccessEvent()
: MOMEvent(AtomicString("MOM_Access"))
{
}

} // namespace WebCore

#endif // ENABLE(RMAI)
